VERSION 5.00
Object = "{EC8DE0EF-6A04-11D2-A6CA-00403391BC4A}#11.0#0"; "ImageScaler5.ocx"
Begin VB.Form frmBrowser 
   BackColor       =   &H8000000C&
   Caption         =   "Intellidev Image Viewer Pro"
   ClientHeight    =   7650
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   9840
   Icon            =   "frmBrowser.frx":0000
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form2"
   ScaleHeight     =   7650
   ScaleWidth      =   9840
   StartUpPosition =   3  'Windows Default
   Begin ImageScaler5.ImageScaler Display1 
      Height          =   6975
      Left            =   2400
      TabIndex        =   7
      Top             =   600
      Width           =   7395
      _ExtentX        =   13044
      _ExtentY        =   12303
      BorderStyle     =   0
      BackColor       =   -2147483636
      ClearBeforeRefresh=   -1  'True
   End
   Begin VB.PictureBox FilePanel 
      Align           =   3  'Align Left
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      Height          =   7650
      Left            =   0
      ScaleHeight     =   7650
      ScaleWidth      =   2355
      TabIndex        =   0
      Top             =   0
      Width           =   2355
      Begin VB.FileListBox File1 
         Height          =   5160
         Left            =   60
         TabIndex        =   3
         Top             =   2340
         Width           =   2235
      End
      Begin VB.DirListBox Dir1 
         Height          =   1890
         Left            =   60
         TabIndex        =   2
         Top             =   420
         Width           =   2235
      End
      Begin VB.DriveListBox Drive1 
         Height          =   315
         Left            =   60
         TabIndex        =   1
         Top             =   60
         Width           =   2235
      End
   End
   Begin VB.PictureBox TopPanel 
      BackColor       =   &H80000002&
      BorderStyle     =   0  'None
      Height          =   555
      Left            =   2340
      ScaleHeight     =   555
      ScaleWidth      =   7515
      TabIndex        =   4
      Top             =   0
      Width           =   7515
      Begin VB.CheckBox Check2 
         BackColor       =   &H80000002&
         Caption         =   "&Zoom to Fit"
         ForeColor       =   &H8000000E&
         Height          =   255
         Left            =   1500
         TabIndex        =   8
         Top             =   120
         Width           =   2175
      End
      Begin VB.CommandButton cmdDelCurrent 
         Caption         =   "&Delete Current"
         Height          =   315
         Left            =   6000
         TabIndex        =   6
         Top             =   120
         Width           =   1395
      End
      Begin VB.CheckBox Check1 
         BackColor       =   &H80000002&
         Caption         =   "&Show Image"
         ForeColor       =   &H8000000E&
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   120
         Value           =   1  'Checked
         Width           =   1635
      End
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuDelete 
         Caption         =   "&Delete Current File"
         Shortcut        =   {DEL}
      End
      Begin VB.Menu mnuSEp 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
         Shortcut        =   ^Q
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "&Contents"
         Enabled         =   0   'False
         Shortcut        =   {F1}
      End
      Begin VB.Menu mnuAbout 
         Caption         =   "About Intellidev Image Viewer"
      End
   End
End
Attribute VB_Name = "frmBrowser"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Check2_Click()
    If Check2.Value = vbChecked Then
        Display1.StretchToFit = True
    Else
        Display1.StretchToFit = False
    End If
End Sub

Private Sub cmdDelCurrent_Click()
    Dim x As String, i%
    On Error Resume Next
    x = File1.List(File1.ListIndex + 1)
    Kill File1.Path & "\" & File1.FileName
    File1.Refresh
    For i% = 0 To File1.ListCount - 1
        If File1.List(i%) = x Then
            File1.ListIndex = i%
            Exit For
        End If
    Next i%
End Sub

Private Sub Dir1_Change()
    File1.Path = Dir1.Path
End Sub

Private Sub Drive1_Change()
    Dir1.Path = Drive1.Drive
End Sub

Private Sub File1_Click()
    If Check1.Value = vbChecked Then Display1.FileName = File1.Path & "\" & File1.FileName
End Sub

Private Sub File1_DblClick()
    Display1.FileName = File1.Path & "\" & File1.FileName
End Sub

Private Sub Form_Resize()
    'Adjust the top panel and the image control
    'me.width =
    If Me.WindowState = vbMinimized Then Exit Sub
    TopPanel.Width = Me.Width - FilePanel.Width
    Display1.Width = Me.Width - (9960 - 7335)
    Display1.Height = Me.Height - (8055 - 6915)
End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    If KeyCode = 46 Then
        cmdDelCurrent_Click
    ElseIf KeyCode = 83 And Shift = 2 Then
        If Check1.Value = vbUnchecked Then Check1.Value = vbChecked Else Check1.Value = vbUnchecked
    Else: Debug.Print KeyCode & " | " & Shift
    End If
End Sub

Private Sub FilePanel_Resize()
    'When this panel resizes.. adjust the contents
    ' pic = 6375
    ' box = 3795
    On Error Resume Next
    File1.Height = FilePanel.Height - (6375 - 3795)
End Sub

Private Sub mnuAbout_Click()
    frmAbout.Show vbModal
End Sub

Private Sub mnuDelete_Click()
    cmdDelCurrent_Click
End Sub

Private Sub mnuExit_Click()
    Set frmAbout = Nothing
    Set frmBrowser = Nothing
    Unload Me
End Sub

Private Sub TopPanel_Resize()
    'Move the buttons with the panel
        'left =4560
        ' total width = 7517
        
        cmdDelCurrent.Left = TopPanel.Width - 1617
End Sub
